Bug 21013 - Missing itemtype for checkut makes patron summary print explode
Summary: Missing itemtype for checkut makes patron summary print explode
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-28 13:37 UTC by Katrin Fischer
Modified: 2019-06-06 17:53 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 21013: Missing itemtype for checkut makes patron summary print explode (2.49 KB, patch)
2019-03-14 13:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21013: Missing itemtype for checkut makes patron summary print explode (2.54 KB, patch)
2019-04-03 18:02 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 21013: Missing itemtype for checkut makes patron summary print explode (2.60 KB, patch)
2019-04-03 22:57 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-06-28 13:37:24 UTC
If there is a checkout on the patron account for an item without item type (item level itemtypes), then the 'print summary' will explode into an Internal server error.
Comment 1 Owen Leonard 2019-03-14 13:18:46 UTC
Created attachment 86600 [details] [review]
Bug 21013: Missing itemtype for checkut makes patron summary print explode

This patch moves retrieval of the item type description from the script
to the template using the ItemTypes template plugin.

To test, apply the patch and locate an item which is checked out to
someone. Modify the database record for that item to remove the item
type (items.itype).

View the print summary for the patron who has that item checked out. The
page should display correctly. Checked-out items which have an item type
should show that item type description correctly.
Comment 2 Liz Rea 2019-04-03 18:02:38 UTC
Created attachment 87370 [details] [review]
Bug 21013: Missing itemtype for checkut makes patron summary print explode

This patch moves retrieval of the item type description from the script
to the template using the ItemTypes template plugin.

To test, apply the patch and locate an item which is checked out to
someone. Modify the database record for that item to remove the item
type (items.itype).

View the print summary for the patron who has that item checked out. The
page should display correctly. Checked-out items which have an item type
should show that item type description correctly.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Katrin Fischer 2019-04-03 22:57:40 UTC
Created attachment 87378 [details] [review]
Bug 21013: Missing itemtype for checkut makes patron summary print explode

This patch moves retrieval of the item type description from the script
to the template using the ItemTypes template plugin.

To test, apply the patch and locate an item which is checked out to
someone. Modify the database record for that item to remove the item
type (items.itype).

View the print summary for the patron who has that item checked out. The
page should display correctly. Checked-out items which have an item type
should show that item type description correctly.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-04-10 20:12:19 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-15 11:31:33 UTC
Pushed to 18.11.x for 18.11.05
Comment 6 Lucas Gass 2019-04-16 21:03:46 UTC
backported to 18.05.x for 18.05.12